Skip to main content
POST
/
v1
/
workspaces
Create Workspace
curl --request POST \
  --url https://api.selcor.ai/v1/workspaces \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Main Practice",
  "business_category": "DENTAL"
}
'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "business_category": "<string>",
    "tenant_id": "<string>",
    "activated": true,
    "connector_type": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  },
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

API key in format: sk_live_...

Body

application/json
name
string
required
Required string length: 1 - 200
Example:

"Main Practice"

business_category
enum<string>
Available options:
DENTAL_GENERAL,
DENTAL_PEDIATRIC,
DENTAL_ORTHODONTICS,
DENTAL_COSMETIC,
BEHAVIORAL_HEALTH,
THERAPY_COUNSELING,
PSYCHIATRY,
MASSAGE_THERAPY,
CHIROPRACTIC,
PHYSICAL_THERAPY,
ACUPUNCTURE,
PILATES,
YOGA,
PERSONAL_TRAINING,
FITNESS_STUDIO,
WELLNESS_SPA,
MED_SPA,
NUTRITION,
HOLISTIC_HEALTH,
PRIMARY_CARE,
DERMATOLOGY,
OPTOMETRY,
OCCUPATIONAL_THERAPY,
SPEECH_THERAPY,
VETERINARY,
OTHER
Example:

"DENTAL"

Response

201 - application/json

Workspace created

data
object
required
request_id
string
required